Overview

Overview of Magento 2 and its system requirements

Magento's evergrowing market share, is a sign that the platform is heading in the right direction. The newest installment of the application comes with all new system requirements which must be met in order for it to work.

 

System requirements:

 

Operating systems (Linux x86-64) - Linux distributions such as RedHat Enterprice Linux (RHEL), CentOS, Ubuntu, Debian etc

 

Composer (latest stable version) - Composer is required for developers who wish to contribute to the Magento 2 codebase or anyone who wishes to develop Magento extensions

 

Web servers

 

  • Apache 2.2 or 2.4 with mod_rewrite enabled.
  • nginx 1.8 (or latest stable version)

 

Database

 

  • MySQL 5.6 (Oracle or Percona)

 

PHP

  • 5.6.x
  • 5.5.x
  • Magento has been tested with PHP 7.0 Release Candidate 7 (currently the most recent)

 

Magento no longer supports PHP 5.4.

 

Required PHP extensions:

 

 

Requirements

Magento 2 Hosting is fully compatible with Magento 2 and our plans meet all additional recommendations. Furthermore, our servers are running on SSD disks for best Magento 2 experience.

 

Useful Resources for Magento 2 users: